tigase.jaxmpp.j2se.connection

## Class ConnectionManager.ConnectionFailedHandler.ConnectionFailedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<ConnectionManager.ConnectionFailedHandler>
    - - tigase.jaxmpp.j2se.connection.ConnectionManager.ConnectionFailedHandler.ConnectionFailedEvent

- Enclosing interface:
    ConnectionManager.ConnectionFailedHandler

      public static class ConnectionManager.ConnectionFailedHandler.ConnectionFailedEvent
      extends JaxmppEvent<ConnectionManager.ConnectionFailedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionFailedEvent(SessionObject sessionObject, ConnectionSession connectionSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(ConnectionManager.ConnectionFailedHandler handler)` Invokes handlers method.
    `ConnectionSession` | `getConnectionSession()`
    `void` | `setConnectionSession(ConnectionSession connectionSession)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionFailedEvent

          public ConnectionFailedEvent(SessionObject sessionObject,
                                       ConnectionSession connectionSession)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(ConnectionManager.ConnectionFailedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<ConnectionManager.ConnectionFailedHandler>`
      Parameters:
        `handler` - handler

    - #### getConnectionSession

          public ConnectionSession getConnectionSession()

    - #### setConnectionSession

          public void setConnectionSession(ConnectionSession connectionSession)

Copyright © 2006–2017 Tigase. All rights reserved.